Skip to main content
GET
/
space
/
{spaceId}
/
billing
/
credit-history
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/space/%7BspaceId%7D/billing/credit-history?month=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&take=SOME_INTEGER_VALUE&sourceType=SOME_STRING_VALUE&orderBy=SOME_STRING_VALUE&order=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "data": [
    {
      "id": "<string>",
      "sourceType": "automation_ai_action",
      "amount": 123,
      "createdTime": "<string>",
      "displayName": "<string>",
      "user": {
        "id": "<string>",
        "name": "<string>",
        "avatar": "<string>"
      }
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spaceId
string
required

Query Parameters

month
string
required
Pattern: ^\d{4}-\d{2}$
cursor
string
take
integer
default:50
Required range: 1 <= x <= 100
sourceType
enum<string>
Available options:
automation_ai_action,
ai_generation,
field_ai_generation,
ai_chat,
app_generation
orderBy
enum<string>
Available options:
createdTime,
amount
order
enum<string>
Available options:
asc,
desc

Response

200 - application/json

Returns credit history records with cursor pagination.

data
object[]
required
nextCursor
string | null
required
Last modified on March 5, 2026